// StatusWidget.cpp //

#include "StatusWidget.h"


/// constructor 
StatusWidget :: StatusWidget (void)
  :Widget(1,79,23,0)
{
}

/// application logic of the particular type of widget
void StatusWidget::Draw (void)
{
  wclear(m_poWin);
  wattron(m_poWin, COLOR_PAIR(COLORPAIR_6) | WA_BOLD);
  AddStr(0,0,m_oStrMsg);
  wattroff(m_poWin, WA_BOLD);
}

/// this window gets the keyboard focus
int StatusWidget::KeyFocus (void)
{
  return 0;
}

/// display a message to the user
void StatusWidget::PutMsg (const string& rkoStrMsg)
{
  m_oStrMsg = rkoStrMsg;
}

// StatusWidget.cpp //
