// StatusWidget.h //

#ifndef __STATUSWIDGET_H
#define __STATUSWIDGET_H

#include "Widget.h"

/** @brief this class displays application status and messages to the user */
class StatusWidget : public Widget
{
  public:
    /// constructor 
    StatusWidget (void);

    /// application logic of the particular type of widget
    virtual void Draw (void);

    /// this window gets the keyboard focus
    virtual int KeyFocus (void);

    /// display a message to the user
    void PutMsg (const string& rkoStrMsg);

  private:
    string m_oStrMsg;
};


#endif // __STATUSWIDGET_H

// StatusWidget.h //
